package com.djhk.uav.uav.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.djhk.common.exception.ServiceException;
import com.djhk.uav.uav.model.UavPilot;

import java.util.List;

/**
 * 飞手管理Service接口
 *
 * @author jiachengshuai
 * @date 2022-08-30
 */
public interface IUavPilotService extends IService<UavPilot>
{
    /**
     * 查询飞手管理
     *
     * @param id 飞手管理主键
     * @return 飞手管理
     */
    public UavPilot selectUavPilotById(Long id);

    /**
     * 查询飞手管理列表
     *
     * @param uavPilot 飞手管理
     * @return 飞手管理集合
     */
    public List<UavPilot> selectUavPilotList(UavPilot uavPilot);

    /**
     * 新增飞手管理
     *
     * @param uavPilot 飞手管理
     * @return 结果
     */
    public int insertUavPilot(UavPilot uavPilot);

    /**
     * 修改飞手管理
     *
     * @param uavPilot 飞手管理
     * @return 结果
     */
    public int updateUavPilot(UavPilot uavPilot);

    /**
     * 批量删除飞手管理
     *
     * @param ids 需要删除的飞手管理主键集合
     * @return 结果
     */
    public int deleteUavPilotByIds(Long[] ids);

    /**
     * 删除飞手管理信息
     *
     * @param id 飞手管理主键
     * @return 结果
     */
    public int deleteUavPilotById(Long id);

    public String importData(List<UavPilot> userList, Boolean isUpdateSupport) throws ServiceException;

//    public List<UavPilot> selectUavPilotExportList(UavPilotExportVo uavPilotExportVo);

}
